##
##  less.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         less
Summary:      Text File Pager
URL:          http://www.greenwoodsoftware.com/less/
Vendor:       Free Software Foundation
Packager:     The OpenPKG Project
Distribution: OpenPKG [BASE]
Group:        Text
License:      GPL
Version:      378
Release:      20021001

#   list of sources
Source0:      http://www.greenwoodsoftware.com/less/less-%{version}.tar.gz
Source1:      lesspipe
Source2:      rc.less
Patch0:       less.patch

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20020206, ncurses
PreReq:       OpenPKG, openpkg >= 20020206, ncurses
AutoReq:      no
AutoReqProv:  no

%description
    Less is a program similar to more(1), but which allows backward movement
    in the file as well as forward movement. Also, less does not have to read
    the entire input file before starting, so with large input files it starts
    up faster than text editors like vi(1). Less uses termcap (or terminfo on
    some systems), so it can run on a variety of terminals. There is even
    limited support for hardcopy terminals.  (On a hardcopy terminal, lines
    which should be printed at the top of the screen are prefixed with a
    caret.) Commands are based on both more and vi. Commands may be preceded
    by a decimal number, called N in the descriptions below. The number is
    used by some commands, as indicated.  This package also provides more(1),
    because less(1) is backward compatible to more(1).

%prep
    %setup -q
    %patch -p1

%build
    CC="%{l_cc}" \
    CPPFLAGS="-I%{l_prefix}/include" \
    CFLAGS="%{l_cflags -O} -I%{l_prefix}/include" \
    LDFLAGS="-L%{l_prefix}/lib" \
    ./configure \
        --prefix=%{l_prefix}
    %{l_make} %{l_mflags -O}

%install
    rm -rf $RPM_BUILD_ROOT
    %{l_make} %{l_mflags} install prefix=$RPM_BUILD_ROOT%{l_prefix}
    strip $RPM_BUILD_ROOT%{l_prefix}/bin/less*
    ln $RPM_BUILD_ROOT%{l_prefix}/bin/less \
       $RPM_BUILD_ROOT%{l_prefix}/bin/more
    ln $RPM_BUILD_ROOT%{l_prefix}/man/man1/less.1 \
       $RPM_BUILD_ROOT%{l_prefix}/man/man1/more.1
    %{l_shtool} install -c -m 755 %{SOURCE lesspipe} $RPM_BUILD_ROOT%{l_prefix}/bin/
    %{l_shtool} mkdir -f -p -m 755 $RPM_BUILD_ROOT%{l_prefix}/etc/rc.d
    %{l_shtool} install -c -m 755 -e 's;@l_prefix@;%{l_prefix};g' \
        %{SOURCE rc.less} $RPM_BUILD_ROOT%{l_prefix}/etc/rc.d/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

